Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.fo.properties
Class CommonFont

    java.lang.Object
      org.apache.fop.fo.properties.CommonFont

    public final class CommonFont

extends java.lang.Object

Collection of CommonFont properties

Field Summary
`Length` | `fontSize` The "font-size" property.
`Numeric` | `fontSizeAdjust` The "font-size-adjust" property.

Method Summary
`boolean` | `equals(java.lang.Object obj)`
`java.lang.String` | `getFirstFontFamily()`
`int` | `getFontSelectionStrategy()`
`Length` | `getFontSize()`
`Numeric` | `getFontSizeAdjust()`
`FontTriplet[]` | `getFontState(FontInfo fontInfo)` Create and return an array of `FontTriplets` based on the properties stored in the instance variables.
`int` | `getFontStretch()`
`int` | `getFontStyle()`
`int` | `getFontVariant()`
`int` | `getFontWeight()`
`static CommonFont` | `getInstance(PropertyList pList)` Returns a CommonFont instance for the given PropertyList If the font-size and font-size-adjust properties are absolute the entire instance will be cached.
`int` | `hashCode()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontSize

    public final Length fontSize

  The "font-size" property.

### fontSizeAdjust

    public final Numeric fontSizeAdjust

  The "font-size-adjust" property.

Method Detail

### getInstance

    public static CommonFont getInstance(PropertyList pList)
                                  throws PropertyException

  Returns a CommonFont instance for the given PropertyList If the font-size and font-size-adjust properties are absolute the entire instance will be cached. If not, then a distinct instance will be returned, with as much cached information as possible.

  Parameters:
    `pList` - the PropertyList to get the properties from
  Returns:
    a CommonFont instance corresponding to the properties
  Throws:
    `PropertyException` - if there was a problem getting the properties

### getFirstFontFamily

    public java.lang.String getFirstFontFamily()

  Returns:
    the first font-family name in the list

### getFontSelectionStrategy

    public int getFontSelectionStrategy()

  Returns:
    the "font-selection-strategy" property

### getFontStretch

    public int getFontStretch()

  Returns:
    the "font-stretch" property

### getFontStyle

    public int getFontStyle()

  Returns:
    the "font-style" property

### getFontVariant

    public int getFontVariant()

  Returns:
    the "font-variant" property

### getFontWeight

    public int getFontWeight()

  Returns:
    the "font-weight" property

### getFontSize

    public Length getFontSize()

  Returns:
    the "font-size" property.

### getFontSizeAdjust

    public Numeric getFontSizeAdjust()

  Returns:
    the "font-size-adjust" property.

### getFontState

    public FontTriplet[] getFontState(FontInfo fontInfo)

  Create and return an array of `FontTriplets` based on the properties stored in the instance variables.

  Parameters:
    `fontInfo` - a font info object
  Returns:
    a font triplet

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2016 The Apache Software Foundation. All Rights Reserved.